package Visual_DVM_2021.Passes.All;
import Common.Global;
import Common.Utils.Utils;
import SapforTestingSystem.SapforTasksPackage.SapforTasksPackage;
import SapforTestingSystem.SapforTasksPackage.SapforTasksPackageInterface;
import org.apache.commons.io.FileUtils;

import java.io.File;
import java.util.Date;
public class UnpackSapforTasksPackage extends UnzipFolderPass<SapforTasksPackage> {
    @Override
    protected boolean needsAnimation() {
        return true;
    }
    @Override
    protected boolean canStart(Object... args) {
        File tmpArchive = (File) args[0];
        target = (SapforTasksPackage) args[1];
        return super.canStart(tmpArchive.getAbsolutePath(),Global.SapforPackagesDirectory.getAbsolutePath(), false);
    }
    @Override
    protected void performPreparation() throws Exception {
        super.performPreparation();
        File packageWorkspace = SapforTasksPackageInterface.getLocalWorkspace(target);
        Utils.forceDeleteWithCheck(packageWorkspace);
    }
    @Override
    protected void body() throws Exception {
        super.body();
        FileUtils.writeStringToFile(SapforTasksPackageInterface.getLoadedSign(target), new Date().toString());
    }
}
